datashare.content:
  path: '/datasharejson/{type}/{id}'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController::getData'
    _title: 'Datashare'
  requirements:
    _permission: 'access content'
    
datashare.addevent:
  path: '/datasharejson/calendar'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController::getDataCalendar'
    _title: 'Datashare'
  requirements:
    _permission: 'access content'
    
datashare.event:
  path: '/datasharejson/event'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController::getEvents'
    _title: 'Datashare'
  requirements:
    _permission: 'access content'
    
datashare.school:
  path: '/datasharejson/school/{id}'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController::getSchool'
    _title: 'Datashare'
  requirements:
    _permission: 'access content'

datashare.media:
  path: '/datasharemedia'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController:sharemedia'
    _title: 'Datashare media'
  requirements:
    _permission: 'access content'

datashare.allcontent:
  path: '/allcontent'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController:contentall'
    _title: 'Data School'
  requirements:
    _permission: 'access content'

datashare.change_school_password:
  path: '/change_school_password'
  defaults:
    _form: '\Drupal\datashare\Form\ChangePassword'
    _title: 'Change School Password'
  requirements:
    _access: 'TRUE'

datashare.allcontenttyeps:
  path: '/allcontenttypes'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController:contentalltypes'
    _title: 'Data School'
  requirements:
    _permission: 'access content'

datashare.image_category:
  path: '/image_category'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController:image_category'
    _title: 'Image Category'
  requirements:
    _permission: 'access content'

datashare.cta_dashboard_link:
  path: '/cta_dashboard_link'
  defaults:
    _controller: '\Drupal\datashare\Controller\DatashareController:cta_dashboard_link'
    _title: 'Cta dashboard link'
  requirements:
    _permission: 'access content'